
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart(" \r", "\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r"+ "'", str2.equals("\r"));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"0 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("-1a-1a1", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1a-1a1"+ "'", str2.equals("-1a-1a1"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("-1 -1 1", (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"0 \r-#0.001#0....", (java.lang.CharSequence)"#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0##"+ "'", str1.equals("0##"));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"\r \r \r\n\r", (java.lang.CharSequence)"aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("100.0a100.0a-1.0", "\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0a100.0a-1.0"+ "'", str2.equals("100.0a100.0a-1.0"));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"aaaaaa0aaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("", (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)1, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("#   #");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"aaaaaa0aaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("100.0 100.0 -1.0", "\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0 100.0 -1.0"+ "'", str2.equals("100.0 100.0 -1.0"));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase(charSequence0, (java.lang.CharSequence)"\r100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", (java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace(" \r100.0 100.0 -1.0", "aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " \r100.0 100.0 -1.0"+ "'", str3.equals(" \r100.0 100.0 -1.0"));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    char[] char_array1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString(" ################", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " ################"+ "'", str2.equals(" ################"));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("\n0              ", "#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", "", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("", " ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("0", "          ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0"+ "'", str2.equals("0"));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToNull("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(0, 16, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("\r\n\r \r \r", 1, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r"+ "'", str3.equals("\r\n\r \r \r"));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r", "0 \r-#0.001#0.001", 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"+ "'", str3.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("140", "                                                                   \n0", "-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "140"+ "'", str3.equals("140"));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("", 14, "-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1 -1 1-1 -1 1"+ "'", str3.equals("-1 -1 1-1 -1 1"));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"+ "'", str2.equals("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0##"+ "'", str1.equals("0##"));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)" \r100.0 100.0 -1.0", (java.lang.CharSequence)"#   #", 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001", "0.1-#0.001#0.001", "\n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("\r \r \r\n\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\r\n\r \r \r"+ "'", str1.equals("\r\n\r \r \r"));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("100.0 100.0 -1.0", 39, "\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n "+ "'", str3.equals("100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n "));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("100.0a100.0a-1.0", (-1), '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100.0a100.0a-1.0"+ "'", str3.equals("100.0a100.0a-1.0"));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("################", "#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"100.0#100.0#-1.0", (java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("100.0a100.0a-1.0", "\n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n0              "+ "'", str2.equals("\n0              "));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n ", (java.lang.CharSequence)"\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("\n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\n0"+ "'", str1.equals("\n0"));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    java.lang.CharSequence charSequence1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0 \r-#0.001#0....", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\n"+ "'", str1.equals("\n"));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"140", 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"\n  ", (java.lang.CharSequence)"140", 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"\r", (java.lang.CharSequence)"-1 -1 1-1 -1 1", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"-1 -1 1-1 -1 1", (java.lang.CharSequence)"aaaaaa0aaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 14);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r", "0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"+ "'", str2.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("100.0a100.0a-1.0", "hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0a100.0a-1.0"+ "'", str2.equals("100.0a100.0a-1.0"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n ", "100.0a100.0a-1.0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n "+ "'", str3.equals("100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n "));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    java.lang.CharSequence charSequence0 = null;
    java.lang.CharSequence[] charSequence_array1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfAny(charSequence0, charSequence_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", 17, "\r \r \r\n\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"+ "'", str3.equals("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("   ", "#   # \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "   "+ "'", str2.equals("   "));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("0##");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("00.0#100.0#-1.0", (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("", "#   #");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"\n0              ", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("\n  ", (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 3, 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", (java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    int i1 = org.apache.commons.lang3.StringUtils.length((java.lang.CharSequence)"#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("-1 -1 1-1 -1 1", "          ", "\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1 -1 1-1 -1 1"+ "'", str3.equals("-1 -1 1-1 -1 1"));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"-1 -1 1", (java.lang.CharSequence)"                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0"+ "'", str2.equals("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0"));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("", "0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001", (java.lang.CharSequence)"100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"140", (java.lang.CharSequence)"\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("0 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0 \r-#0.001#0.001"+ "'", str1.equals("0 \r-#0.001#0.001"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(69, 10, 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 69);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("0.1-#0.001#0.00");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)" ", (java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(0.0f, 10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"0.1-#0.001#0.001", (java.lang.CharSequence)"hi!", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("-1 -1 1", "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1 -1 1"+ "'", str2.equals("-1 -1 1"));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\n  "+ "'", str1.equals("\n  "));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("0##");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    byte[] byte_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(byte_array0, 'a', 3, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"\r\n\r \r \r", (java.lang.CharSequence)"-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace(" ", "\n", "0##", 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + " "+ "'", str4.equals(" "));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("140", "0.1-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("00.0#100.0#-1.0", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"100.0 100.0 -1.0", (java.lang.CharSequence)"                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("\r", ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r"+ "'", str2.equals("\r"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("-1#-1#1", (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("#   # \r", 39, "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n"+ "'", str3.equals("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n"));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", (java.lang.CharSequence)"100.0 100.0 -1.0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"", (java.lang.CharSequence)"100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("\n  ", "0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n  "+ "'", str2.equals("\n  "));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("1 0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("\r100.0 100.0 -1.0", 5, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!", "0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", (java.lang.CharSequence)"\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 87);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"#100.0#-1.0", (java.lang.CharSequence)"                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 68);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("", "0.1-#0.001#0.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"   ", (java.lang.CharSequence)"0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong(" ################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", " ", "-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"+ "'", str3.equals("aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern(" \r", "1 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " \r"+ "'", str2.equals(" \r"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("", 11, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "44444444444"+ "'", str3.equals("44444444444"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("\r100.0 100.0 -1.0", 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"00.0#100.0#-1.0", 68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("0 \r-#0.001#0....");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100.0 100.0 -1.0"+ "'", str1.equals("100.0 100.0 -1.0"));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("#   # \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#   # \r"+ "'", str1.equals("#   # \r"));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("                                                                   \n0", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                   \n0"+ "'", str2.equals("                                                                   \n0"));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    java.lang.Double d0 = org.apache.commons.lang3.math.NumberUtils.DOUBLE_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + d0 + "' != '" + 1.0d+ "'", d0.equals(1.0d));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("################################-1a-1a1", 17, "0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################-1a-1a1"+ "'", str3.equals("################################-1a-1a1"));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#100.0#-1.0"+ "'", str1.equals("#100.0#-1.0"));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("-1#100#10", "-1#-1#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1#100#10"+ "'", str2.equals("-1#100#10"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001", 39, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    short[] s_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      short s1 = org.apache.commons.lang3.math.NumberUtils.min(s_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("#   #", "\n", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#   #"+ "'", str3.equals("#   #"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("100.0 100.0 -1.0");
    int i3 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"################", (java.lang.CharSequence[])str_array2);
    int i4 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence[])str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("\n0              ", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("", "aaaaaa0aaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat('4', 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"+ "'", str2.equals("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("################", "HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!", "100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"#   #", (java.lang.CharSequence)"\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("0140", "0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001", " \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"+ "'", str1.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("#   #", "aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#   #"+ "'", str2.equals("#   #"));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("", "#   #");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToNull("#   #");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#   #"+ "'", str1.equals("#   #"));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split(" ################", "-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)" \r100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("\r100.0 100.0 -1.0", 87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"100.0a100.0a-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"100.0 100.0 -1.0", (java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)100, (short)(-1), (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)(-1));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", 17, 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n", 3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("   ", "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", (java.lang.CharSequence)"#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!", 69, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("0.1-#0.001#0.001", 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad(" ################", 14, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " ################"+ "'", str3.equals(" ################"));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    java.lang.CharSequence[] charSequence_array0 = null;
    int i1 = org.apache.commons.lang3.StringUtils.indexOfDifference(charSequence_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(charSequence0, (java.lang.CharSequence)"0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("1 0", 87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0"+ "'", str2.equals("1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("140", "0140", "-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "140"+ "'", str3.equals("140"));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"-1 -1 1-1 -1 1", (java.lang.CharSequence)"hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("0 \r-#0.001#0.001                                                                                    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "                                                                                    100.0#100.0#-\r 0"+ "'", str1.equals("                                                                                    100.0#100.0#-\r 0"));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "140"+ "'", str1.equals("140"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("################", "100.0a100.0a-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################"+ "'", str2.equals("################"));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", 0, 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "444444444444444444444444444444444444444"+ "'", str3.equals("444444444444444444444444444444444444444"));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", "\n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"+ "'", str2.equals("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"44444444444", (java.lang.CharSequence)"-1 -1 1-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("0140", 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0140                                   "+ "'", str2.equals("0140                                   "));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("444444444444444444444444444444444444444", 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"0", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"################", (java.lang.CharSequence)"0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"00.0#100.0#-1.0", (java.lang.CharSequence)" ################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    short[] s_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", (java.lang.CharSequence)"1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0", 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.apache.commons.lang3.math.NumberUtils.min(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n", "                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"+ "'", str2.equals("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"0.1-#0.001#0.00", (java.lang.CharSequence)"0 \r-#0.001#0.001", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max((-1L), 10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################"+ "'", str1.equals("################"));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"                                                                   \n0", (java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", 68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)1, (byte)(-1), (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)(-1));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.left("#100.0#-1.0", 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#100.0#-1.0"+ "'", str2.equals("#100.0#-1.0"));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", 68, "          ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r "+ "'", str3.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r "));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("0 \r-#0.001#0.001", 0, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0 \r-#0.001#0.001"+ "'", str3.equals("0 \r-#0.001#0.001"));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("\n0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001", "\n0              ", "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString(" \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " \r"+ "'", str1.equals(" \r"));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("44444444444", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "44444444444"+ "'", str2.equals("44444444444"));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("-1#-1#1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("140", (-1), "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "140"+ "'", str3.equals("140"));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, (java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("\n  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    byte[] byte_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(byte_array0, ' ', 14, 68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"+ "'", str2.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("140", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "140"+ "'", str2.equals("140"));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("################################-1a-1a1", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################################-1a-1a1"+ "'", str2.equals("################################-1a-1a1"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("\n0", 0, "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n0"+ "'", str3.equals("\n0"));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("\r \r \r\n\r-1 -1 1-1 -1 1", "0 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r", "                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                   \n0"+ "'", str2.equals("                                                                   \n0"));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"0", (java.lang.CharSequence)"hi!", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001"+ "'", str1.equals("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001"));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(obj_array0, "\n", 11, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("\n", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n"+ "'", str2.equals("\n"));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", (java.lang.CharSequence)" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("hi!", 87, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny(charSequence0, "\r \r \r\n\r-1 -1 1-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    java.lang.CharSequence charSequence1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0 \r-#0.001#0.001                                                                                    ", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("-1 -1 1-1 -1 1", 14, "0.1-#0.001#0.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1 -1 1-1 -1 1"+ "'", str3.equals("-1 -1 1-1 -1 1"));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001"+ "'", str1.equals("0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001"));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", "1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"+ "'", str2.equals("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("100.0#100.0#-1.0", "#   #", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("0 \r-#0.001#0.001");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("\r \r \r\n\r", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r \r \r\n\r"+ "'", str2.equals("\r \r \r\n\r"));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"0 \r-#0.001#0....");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter(" ################hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " ################hi!"+ "'", str2.equals(" ################hi!"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.split(" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"-1#100#10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("140", "HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "140"+ "'", str3.equals("140"));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("\r", 16, "0140                                   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0140   \r0140    "+ "'", str3.equals("0140   \r0140    "));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("\n", 87, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    byte[] byte_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(byte_array0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"0.1-#0.001#0.00\r\n\r \r \r", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"-1a-1a1", (java.lang.CharSequence)"0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"+ "'", str2.equals("#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("\r \r \r\n\r", 0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r \r \r\n\r"+ "'", str3.equals("\r \r \r\n\r"));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(10.0f, 10.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    java.lang.CharSequence charSequence0 = null;
    java.lang.CharSequence charSequence1 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, charSequence1, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("44444444444", 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "44444"+ "'", str2.equals("44444"));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("0.1-#0.001#0.00", "-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.1-#0.001#0.00"+ "'", str2.equals("0.1-#0.001#0.00"));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)10, (byte)10, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)10);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)(-1), (short)100, (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)(-1));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("\n0              ", " ################", "#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n0              "+ "'", str3.equals("\n0              "));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("################################-1a-1a1", 69, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad(" ################hi!", 3, "################################-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " ################hi!"+ "'", str3.equals(" ################hi!"));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001", (java.lang.CharSequence)"\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("", 1, "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "4"+ "'", str3.equals("4"));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("0 \r-#0.001#0.001", "0140                                   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0 \r-#0.001#0.001"+ "'", str2.equals("0 \r-#0.001#0.001"));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("0 \r-#0.001#0.001                                                                                    ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("0140                                   ", "   ", 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0140                                   "+ "'", str3.equals("0140                                   "));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("\r100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100.0 100.0 -1.0"+ "'", str1.equals("100.0 100.0 -1.0"));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("", 0, "0 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("00.0#100.0#-1.0", 68, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str3.equals("00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("                                                                   \n0", (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("4", (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"", (java.lang.CharSequence)" \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"0140                                   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"0.1-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"0 \r-#0.001#0....");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("0.1-#0.001#0.00\r\n\r \r \r", 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("140", "0.1-#0.001#0.00", "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "140"+ "'", str3.equals("140"));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat(" ################hi!", Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("-1 -1 1-1 -1 1", 68, "0.1-#0.001#0.00\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1 -1 1-1 -1 10.1-#0.001#0.00\r\n\r \r \r0.1-#0.001#0.00\r\n\r \r \r0.1-#0.001"+ "'", str3.equals("-1 -1 1-1 -1 10.1-#0.001#0.00\r\n\r \r \r0.1-#0.001#0.00\r\n\r \r \r0.1-#0.001"));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(0.0f, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("140", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "140"+ "'", str2.equals("140"));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split(" \r", "100.0a100.0a-1.0", 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    double[] d_array3 = new double[] { 100.0d, 100.0d, (-1.0d) };
    double d4 = org.apache.commons.lang3.math.NumberUtils.min(d_array3);
    double d5 = org.apache.commons.lang3.math.NumberUtils.max(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(d_array3, '4', 3, 17);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"\n0", (java.lang.CharSequence)"HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("100.0 100.0 -1.0", 0, "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100.0 100.0 -1.0"+ "'", str3.equals("100.0 100.0 -1.0"));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("0140   \r0140    ", 100, "0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0140   \r0140    "+ "'", str3.equals("0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0140   \r0140    "));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"100.0#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", (java.lang.CharSequence)"\n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 86);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(byte_array1, '4', 17, 1);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(byte_array1, 'a');
    byte byte8 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "100.0 100.0 -1.0\n  \n  \n  \n  \n  \n  \n  \n ");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0"+ "'", str7.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte8 == (byte)0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", (java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"#   #", 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"0.1-#0.001#0.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("", 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("", 68, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("44444444444", " ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "44444444444"+ "'", str2.equals("44444444444"));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("          ", "\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", (-1), 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("00.0#100.0#-1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "00.0#100.0#-1.0"+ "'", str1.equals("00.0#100.0#-1.0"));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00"+ "'", str1.equals("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("\r\n\r \r \r", ' ', ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r"+ "'", str3.equals("\r\n\r \r \r"));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(100.0d, 0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone(charSequence0, "################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "444444444444444444444444444444444444444"+ "'", str1.equals("444444444444444444444444444444444444444"));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0 \r-#0.001#0....", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0....#0.001#0 \r-"+ "'", str2.equals("0....#0.001#0 \r-"));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat('a', 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aa"+ "'", str2.equals("aa"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", 1, "0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r "+ "'", str3.equals("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r "));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max(0L, 0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("                                                                   \n0", "################################-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                   \n0"+ "'", str2.equals("                                                                   \n0"));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"          \n0              ", (java.lang.CharSequence)" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"\r", (java.lang.CharSequence)"0 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max((-1.0f), 0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0f);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max(1L, (-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00", (java.lang.CharSequence)"-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("0140", "                                                                                    100.0#100.0#-\r 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0140"+ "'", str2.equals("0140"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00", (java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#   #"+ "'", str1.equals("#   #"));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.max((byte)10, (byte)0, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)10);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("################");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, '#', 0, 11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    int i1 = org.apache.commons.lang3.math.NumberUtils.toInt("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "44444"+ "'", str1.equals("44444"));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("################", 0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################"+ "'", str3.equals("################"));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("                                                                                    100.0#100.0#-\r 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100.0#100.0#-\r 0"+ "'", str1.equals("100.0#100.0#-\r 0"));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"#   #", (java.lang.CharSequence)"0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, (java.lang.CharSequence)"0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0140   \r0140    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("################################-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################-1a-1a1"+ "'", str1.equals("################################-1a-1a1"));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("\n", "140", "140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n"+ "'", str3.equals("\n"));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(100.0f, 1.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 100.0f);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf(charSequence0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"\n0", (java.lang.CharSequence)"44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("", "0140");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("100.0#100.0#-1.0", 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", (java.lang.CharSequence)"0 \r-#0.001#0.001", 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(0.0f, Float.POSITIVE_INFINITY, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("-1#100#10", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("hi!", "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split(" \r100.0 100.0 -1.0", "0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"\r \r \r\n\r", 11, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min((-1.0f), Float.POSITIVE_INFINITY, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"44444444444", (java.lang.CharSequence)" ################hi!", 69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", "44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"+ "'", str2.equals("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("-1 -1 1-1 -1 10.1-#0.001#0.00\r\n\r \r \r0.1-#0.001#0.00\r\n\r \r \r0.1-#0.001");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("0.1-#0.001#0.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("#   #");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("-1 -1 1", "0140                                   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1 -1 1"+ "'", str2.equals("-1 -1 1"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    int[] i_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(i_array0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0140   \r0140    ", '#', '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0440440440440440440440440440440440440440440440440440440440440440440440440440440440440140   \r0140    "+ "'", str3.equals("0440440440440440440440440440440440440440440440440440440440440440440440440440440440440140   \r0140    "));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator(" ", "");
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.prependIfMissing("", (java.lang.CharSequence)" ", (java.lang.CharSequence[])str_array5);
    boolean b7 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ", (java.lang.CharSequence[])str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + " "+ "'", str6.equals(" "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"\n0              ", (java.lang.CharSequence)"-1 -1 1-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("\r \r \r\n\r", 'a', '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r \r \r\n\r"+ "'", str3.equals("\r \r \r\n\r"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.max((byte)1, (byte)10, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)10);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)" ################hi!", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min((-1L), 100L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-1L));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "00.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0"+ "'", str1.equals("00.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0"));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    java.lang.CharSequence charSequence1 = null;
    java.lang.CharSequence charSequence3 = null;
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.split(" ", "\n  ");
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array6);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.prependIfMissingIgnoreCase("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", charSequence3, (java.lang.CharSequence[])str_array6);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.prependIfMissingIgnoreCase("100.0#100.0#-1.0", charSequence1, (java.lang.CharSequence[])str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0"+ "'", str8.equals("100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "100.0#100.0#-1.0"+ "'", str9.equals("100.0#100.0#-1.0"));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r", "-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"+ "'", str2.equals("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("0##", 100, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##"+ "'", str3.equals("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##"));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"#   #");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"-1 -1 1-1 -1 1", 14, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("#   # \r", "44444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#   # \r"+ "'", str2.equals("#   # \r"));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("", "\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("0 \r-#0.001#0....");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween(" ################hi!", "0##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"4");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)" ################", 11, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("444444444444444444444444444444444444444", 39, "\n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "444444444444444444444444444444444444444"+ "'", str3.equals("444444444444444444444444444444444444444"));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min((-1.0d), 4.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"100.0#100.0#-\r 0", (java.lang.CharSequence)"a", 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", "0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"-1a", (java.lang.CharSequence)" \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "-1a"+ "'", charSequence2.equals("-1a"));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("", "00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("\n", "\r \r \r\n\r-1 -1 1-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n"+ "'", str2.equals("\n"));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("\r100.0 100.0 -1.0", "-1 -1 1-1 -1 10.1-#0.001#0.00\r\n\r \r \r0.1-#0.001#0.00\r\n\r \r \r0.1-#0.001", "   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "      "+ "'", str3.equals("      "));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    float[] f_array0 = new float[] {  };
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(f_array0, ' ');
    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.lang3.math.NumberUtils.max(f_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0.1-#0.001#0.001", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.001#0.001#0.1-"+ "'", str2.equals("0.001#0.001#0.1-"));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"-1 -1 1", (java.lang.CharSequence)"################################-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "-1 -1 1"+ "'", charSequence2.equals("-1 -1 1"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", 68, "\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"+ "'", str3.equals("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    byte[] byte_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(byte_array0, 'a', 86, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("0.001#0.001#0.1-", "4", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("-1#-1#1", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", "44444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"+ "'", str2.equals("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001"));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"-1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("0.1-#0.001#0.001", "\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"\r \r \r\n\r", (java.lang.CharSequence)"0 \r-#0.001#0.001                                                                                    ", 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    short[] s_array0 = new short[] {  };
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a');
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a');
    // The following exception was thrown during execution in test generation
    try {
      short s5 = org.apache.commons.lang3.math.NumberUtils.min(s_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "                                                                   \n0"+ "'", str1.equals("                                                                   \n0"));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "0.1-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"44444", (java.lang.CharSequence)"aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("\r");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"\r100.0 100.0 -1.0", (java.lang.CharSequence)"#   # \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(1.0d, 10.0d, 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0##0140   \r0140    ", (java.lang.CharSequence)"1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"44444", (java.lang.CharSequence)" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"0.1-#0.001#0.001", (java.lang.CharSequence)"44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("0.001#0.001#0.1-");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    byte[] byte_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      byte byte1 = org.apache.commons.lang3.math.NumberUtils.max(byte_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("\n0              ", "0440440440440440440440440440440440440440440440440440440440440440440440440440440440440140   \r0140    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\n0              "+ "'", str2.equals("\n0              "));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0100.0#100.0#-1.0", (java.lang.CharSequence)" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"\n0              ", "\r100.0 100.0 -1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\n"+ "'", str1.equals("\n"));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.max((short)0, (short)(-1), (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)10);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0 \r-#0.001#0....", ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r-#0.001#0.... 0"+ "'", str2.equals("\r-#0.001#0.... 0"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("100.0 100.0 -1.0", 100, "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "444444444444444444444444444444444444444444444444444444444444444444444444444444444444100.0 100.0 -1.0"+ "'", str3.equals("444444444444444444444444444444444444444444444444444444444444444444444444444444444444100.0 100.0 -1.0"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", "hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"+ "'", str3.equals("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort(" \r", (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", "44444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"+ "'", str2.equals("4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("\n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"100.0 100.0 -1.0", (java.lang.CharSequence)"          \n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"0140   \r0140    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"aaaaaa0aaaaaaahi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("", "\r", 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r \r\r\n\r \r ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("\r \r \r\n\r-1 -1 1-1 -1 1", "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.001", 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r \r \r\n\r-1 -1 1-1 -1 1"+ "'", str3.equals("\r \r \r\n\r-1 -1 1-1 -1 1"));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    char[] char_array5 = new char[] { '#', ' ', 'a' };
    boolean b6 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"\n  ", char_array5);
    boolean b7 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"\r\n\r \r \r", char_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(char_array5, '#', 15, 87);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize(" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " ################hi!"+ "'", str1.equals(" ################hi!"));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("aa", 'a', ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "  "+ "'", str3.equals("  "));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"-1 -1 1", "0140                                   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("  ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0", (java.lang.CharSequence)"\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0"+ "'", str1.equals("1 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 01 0"));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"HI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!\nHI!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("\r \r \r\n\r-1 -1 1-1 -1 1", 5, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n\r-1 -1 1-1 -1 1"+ "'", str3.equals("\n\r-1 -1 1-1 -1 1"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(5, 17, 39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 5);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("", "\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("0", "-1 -1 1", "                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0"+ "'", str3.equals("0"));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("00.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0", "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n", 11, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "00.04100.04\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0"+ "'", str4.equals("00.04100.04\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0"));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("                                                                   \n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("aa", 69, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "                                                                   aa"+ "'", str3.equals("                                                                   aa"));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"0 \r-#0.001#0.001", (java.lang.CharSequence)"\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("   ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "   "+ "'", str1.equals("   "));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", "\r \r \r\n\r-1 -1 1-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"+ "'", str2.equals("hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!"));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("0140                                   ", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0                                   401"+ "'", str2.equals("0                                   401"));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("00.04100.04\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("0.1-#0.001#0.00", '#', 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0.1-a0.001a0.00"+ "'", str3.equals("0.1-a0.001a0.00"));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"#100.0#-1.0", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r", (java.lang.CharSequence)"0440440440440440440440440440440440440440440440440440440440440440440440440440440440440140   \r0140    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"+ "'", charSequence2.equals("\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r"));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(byte_array1, '4', 17, 1);
    byte byte6 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    byte byte7 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "0.001#0.001#0.1-");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte7 == (byte)0);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001", "4");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001"+ "'", str2.equals("0.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.0010.1-#0.001#0.001"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"00.0#100.0#-1.0", (java.lang.CharSequence)"0.1-#0.001#0.001", 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"#   #");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("                                                                   aa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "aa"+ "'", str1.equals("aa"));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    short[] s_array0 = new short[] {  };
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a');
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, '#');
    // The following exception was thrown during execution in test generation
    try {
      short s5 = org.apache.commons.lang3.math.NumberUtils.min(s_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"#   # \r", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)10, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)(-1));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("140", (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)140);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("#   # \r");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("aaaaaa0aaaaaaa", 10, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaa0aaaaaaa"+ "'", str3.equals("aaaaaa0aaaaaaa"));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"#   #", (java.lang.CharSequence)"00.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 00100.04100.04-\r 0", 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("aa", "          ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aa"+ "'", str2.equals("aa"));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"444444444444444444444444444444444444444444444444444444444444444444444444444444444444100.0 100.0 -1.0", (java.lang.CharSequence)"a", 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", ' ', 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str3.equals("00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("0                                   401");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"#   #hi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!\nhi!", (java.lang.CharSequence)"-1a-1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    java.lang.CharSequence[] charSequence_array1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"\r\n\r \r \r\r\n\r \r \r\r\n#   # \r\r\n\r \r \r\r\n\r \r \r\r\n", charSequence_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001"+ "'", str1.equals("0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("0.1-#0.001#0.001", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.1-#0.001#0.001"+ "'", str2.equals("0.1-#0.001#0.001"));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("                                                                   aa", 14, "0.1-#0.001#0.00\r\n\r \r \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "                                                                   aa"+ "'", str3.equals("                                                                   aa"));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("   ", '4');
    boolean b4 = org.apache.commons.lang3.StringUtils.endsWithAny((java.lang.CharSequence)"0140   \r0140    ", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"                                                                                    100.0#100.0#-\r 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(Float.POSITIVE_INFINITY, 0.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", 87, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"+ "'", str3.equals("\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("00.0#100.0#-1.0aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 10.0d };
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(d_array3, '4', 2, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(d_array3, '4', 0, 69);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("44444", "\n0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "44444"+ "'", str2.equals("44444"));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440##", (java.lang.CharSequence)"0 \r-#0.001#0.001", 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"0 \r-#0.001#0.001                                                                                    ", (java.lang.CharSequence)"\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "0 \r-#0.001#0.001                                                                                    "+ "'", charSequence2.equals("0 \r-#0.001#0.001                                                                                    "));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("", "#   #", 11);
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.prependIfMissingIgnoreCase("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00", (java.lang.CharSequence)"4444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", (java.lang.CharSequence[])str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00"+ "'", str6.equals("44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)" ################", (java.lang.CharSequence)"\r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + " ################"+ "'", charSequence2.equals(" ################"));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"  ", (java.lang.CharSequence)"\n0##\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("0 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.000##", "\n0", "44444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444440 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00100 \r-40.00140.00");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("0 \r-#0.001#0.001", "          \n0              ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0 \r-#0.001#0.001"+ "'", str2.equals("0 \r-#0.001#0.001"));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("\r \r \r\n\r", "", "44444444444");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\r \r \r\n\r"+ "'", str3.equals("\r \r \r\n\r"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("\r\n\r \r \r", "0 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.00100 \r-#0.001#0.001");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\r\n\r \r \r"+ "'", str2.equals("\r\n\r \r \r"));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(obj_array0, ' ', 14, 87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty(" \r");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("-1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1 -1 1"+ "'", str1.equals("-1 -1 1"));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase(" ################hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " ################HI!"+ "'", str1.equals(" ################HI!"));

  }

}
